mpi4py 3.1.4-gompi-2022b

MPI for Python (mpi4py) provides bindings of the Message Passing Interface (MPI) standard for the Python programming language, allowing any Python program to exploit multiple processors.

Accessing mpi4py 3.1.4-gompi-2022b

To load the module for mpi4py 3.1.4-gompi-2022b please use this command on the BEAR systems (BlueBEAR and BEAR Cloud VMs):

📋 module load bear-apps/2022b
module load mpi4py/3.1.4-gompi-2022b

BEAR Apps Version

2022b

Architectures

EL8-cascadelakeEL8-icelakeEL8-sapphirerapids

The listed architectures consist of two part: OS-CPU. The OS used is represented by EL and there are several different processor (CPU) types available on BlueBEAR. More information about the processor types on BlueBEAR is available on the BlueBEAR Job Submission page.

Extensions

  • mpi4py 3.1.4

More Information

For more information visit the mpi4py website.

Dependencies

This version of mpi4py has a direct dependency on: gompi/2022b Python/3.10.8-GCCcore-12.2.0

Required By

This version of mpi4py is a direct dependent of: h5py/3.8.0-foss-2022b netcdf4-python/1.6.3-foss-2022b PETSc/3.19.2-foss-2022b

Other Versions

These versions of mpi4py are available on the BEAR systems (BlueBEAR and BEAR Cloud VMs). These will be retained in accordance with our Applications Support and Retention Policy.

Version BEAR Apps Version
3.0.2-gompi-2019a-timed-pingpong 2019a

Last modified on 27th July 2023